Package weka.gui.beans

# Interface Startable

All Known Implementing Classes:
  `Loader`

public interface Startable
Interface to something that is a start point for a flow and can be launched programatically.

Since:
  1.0
Version:
  $Revision: 6017 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}org)

## Method Summary

Modifier and Type
Method
Description
`String`
`getStartMessage()`
Gets a string that describes the start action.
`void`
`start()`
Start the flow running

## Method Details

### start

void start() throws Exception
Start the flow running

Throws:
  `Exception` - if something goes wrong

### getStartMessage

String getStartMessage()
Gets a string that describes the start action. The KnowledgeFlow uses this in the popup contextual menu for the component. The string can be proceeded by a '$' character to indicate that the component can't be started at present.

Returns:
  a string describing the start action.